# DS_LinkedList.h File Reference

[Internal] Straightforward linked list data structure. More...

`#include "Export.h"`
`#include "RakMemoryOverride.h"`

## Classes

class | DataStructures::CircularLinkedList< CircularLinkedListType >
| (Circular) Linked List ADT (Doubly Linked Pointer to Node Style) - More...

## Namespaces

namespace | DataStructures

## Detailed Description

[Internal] Straightforward linked list data structure.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.